(*
 * ocamlcgi - Objective Caml library for writing CGIs
 * Copyright (C) 1997 Daniel de Rauglaudre, INRIA
 * Copyright (C) 1998 Jean-Christophe FILLIATRE
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License version 2, as published by the Free Software Foundation.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * See the GNU Library General Public License version 2 for more details
 * (enclosed in the file LGPL).
 *)

(* $Id: cgi.mli,v 1.3 1998/05/22 15:34:44 filliatr Exp $ *)

val parse_args : unit -> (string * string) list
    (* Decodes the arguments of the CGI and returns them as an association list
     * Works whatever the method is (GET or POST) *)

val header : string -> unit
    (* Prints the content-type header. 
     * the argument is the MIME type (default value is "text/html" if the
     * argument is the empty string) *)

val this_url : unit -> string
    (* Returns the address of the CGI *)


(* The following code may be useful but is already called in [parse_args] *)

val decode : string -> string
val encode : string -> string
    (* Coding and uncoding of CGI arguments.
     * Code from wserver, (c) Daniel de Rauglaudre, INRIA. *)
